<?php

/**
 * vig_per_desde actions.
 *
 * @package    contab2
 * @subpackage vig_per_desde
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class vig_perActions extends sfQuery {

    protected $table_names = array(
        'CN_VIGENCIA',
        'CN_PERIODO_CONTABLE'
    );
    protected $table_join_ids = array(
        'CN_PERIODO_CONTABLE' => array()
    );
    protected $fields = array(
        'CN_VIGENCIA' =>
        array(
            'id_vigencia' => 'id_vigencia'
        ),
        'CN_PERIODO_CONTABLE' =>
        array(
            'id_periodo_contable' => 'id_periodo_contable',
            'nom_periodo' => 'nom_periodo'
        )
    );
    protected $table_field_conditions = array(
        'CN_VIGENCIA' =>
        array(
            'id_vigencia' => array('=' => array('id_vigencia'))
        ),
        'CN_PERIODO_CONTABLE' =>
        array(
            'id_periodo_contable' => array('BETWEEN' => array('per_ini', 'per_fin'))
        )
    );
    protected $table_field_or_conditions = null;

}
